﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ThinkGeo.MapSuite.Core;
using System.Collections.ObjectModel;

namespace WindowsFormsApplication9
{
    public partial class Form1 : Form
    {
        private MapEngine mapEngine;
        private Bitmap bitmap;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            bitmap = new Bitmap(pictureBox1.Width, pictureBox1.Height);

            mapEngine = new MapEngine();
            //mapEngine.CurrentExtent = ExtentHelper.GetDrawingExtent(new RectangleShape(-139.2, 92.4, 120.9, -93.2), pictureBox1.Width, pictureBox1.Height);
            mapEngine.BackgroundFillBrush = new GeoSolidBrush(GeoColor.GeographicColors.ShallowOcean);

            Collection<string> paths = new Collection<string>() { 
            @"..\..\..\SampleData\Data\USStates.shp",
            @"..\..\..\SampleData\Data\MajorCities.shp"
            };
            MultipleShapeFileFeatureLayer mFeatureLayer = new MultipleShapeFileFeatureLayer(paths);
            mFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, GeoColor.SimpleColors.Green));
            mFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = new PointStyle(PointSymbolType.Star, new GeoSolidBrush(GeoColor.SimpleColors.Red), 10);
            mFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            mFeatureLayer.Open();
            mapEngine.CurrentExtent = mFeatureLayer.GetBoundingBox();
            mFeatureLayer.Close();
            mapEngine.StaticLayers.Add("WorldMapKitLayer", mFeatureLayer);

            DrawImage();
        }
        private void DrawImage()
        {
            mapEngine.OpenAllLayers();
            mapEngine.DrawStaticLayers(bitmap, GeographyUnit.DecimalDegree);
            mapEngine.CloseAllLayers();

            pictureBox1.Image = bitmap;
        }

    }
}
